Using Apple Watch

Series 4 Tech Specs clearly states: Apple Watch Series 4 (GPS) requires an iPhone 5s or later with iOS 12 or later. And now, less than a year later Apple Support says WatchOS 6 is not compatible.

From Series 4 specs (dated Sept 2019): Apple Watch Series 4 (GPS) requires an iPhone 5s or later with iOS 12 or later.

And now, less than a year later Apple Support is saying WatchOS 6 is not compatible with an iPhone 5s.

***?

Click to rate this post!
[Total: 0 Average: 0]

Related posts

Watch Series 3: Messages app not syncing with iPhone

Murcia

Workout Apple Watch

Scooby

Music

Scooby

Leave a Comment